osl::game_playing::GnuShogiClient Class Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | Private Member Functions | List of all members
osl::game_playing::GnuShogiClient Class Reference

`#include <gnuShogiClient.h>`

Inheritance diagram for osl::game_playing::GnuShogiClient:
[legend]
Collaboration diagram for osl::game_playing::GnuShogiClient:
[legend]

## Public Member Functions
| GnuShogiClient (ComputerPlayer *black, ComputerPlayer *white, CsaLogger *l, std::istream &, std::ostream &)
| ~GnuShogiClient ()
Public Member Functions inherited from osl::game_playing::CuiClient
| CuiClient (ComputerPlayer *black, ComputerPlayer *white, CsaLogger *l, std::istream &, std::ostream &)
| ~CuiClient ()
void | run (const char *black, const char *white)
void | run ()
volatile int * | stopFlag ()
Public Member Functions inherited from osl::game_playing::GameManager
| GameManager (ComputerPlayer *black, ComputerPlayer *white, CsaLogger *logger)
virtual | ~GameManager ()
void | load (const char *csa_filename, bool verbose=false)
void | setTimeLeft (int black_time, int white_time)
void | setByoyomi (int seconds)
void | resetLogger (CsaLogger *l)
void | setComputerPlayer (Player turn, bool is_computer)
bool | isComputer (Player turn) const
const search::MoveWithComment | computeMove (int &consumed)
int | eval (Player turn, Move m)

## Private Member Functions
bool | readAndProcessCommand ()
void | processComputerMove (const search::MoveWithComment &, int seconds)
void | preComputeNextMove ()

## Additional Inherited Members
Protected Member Functions inherited from osl::game_playing::GameManager
const Sennichite | pushMove (const search::MoveWithComment &, int seconds)
void | popMove ()
Protected Attributes inherited from osl::game_playing::CuiClient
std::istream & | is
std::ostream & | os

## Detailed Description

Definition at line 12 of file gnuShogiClient.h.

## Constructor & Destructor Documentation

osl::game_playing::GnuShogiClient::GnuShogiClient | ( | ComputerPlayer * | black,
|  | ComputerPlayer * | white,
|  | CsaLogger * | l,
|  | std::istream & | is,
|  | std::ostream & | os
| ) |  |

Definition at line 14 of file gnuShogiClient.cc.

osl::game_playing::GnuShogiClient::~GnuShogiClient | ( | ) |  |

Definition at line 22 of file gnuShogiClient.cc.

## Member Function Documentation

void osl::game_playing::GnuShogiClient::preComputeNextMove | ( | ) |  |
| private

void osl::game_playing::GnuShogiClient::processComputerMove | ( | const search::MoveWithComment & | ,
|  | int | seconds
| ) |  |
| privatevirtual

Implements osl::game_playing::CuiClient.

Definition at line 135 of file gnuShogiClient.cc.

References osl::alt(), osl::BLACK, osl::Sennichite::BLACK_LOSE(), osl::Move::isNormal(), osl::Move::move, result, osl::record::psn::show(), osl::WHITE, and osl::Sennichite::WHITE_LOSE().

bool osl::game_playing::GnuShogiClient::readAndProcessCommand | ( | ) |  |
| privatevirtual

Returns
  read next command immediately

Implements osl::game_playing::CuiClient.

Definition at line 27 of file gnuShogiClient.cc.

References osl::alt(), osl::BLACK, osl::Sennichite::BLACK_LOSE(), osl::Sennichite::isNormal(), osl::Move::player(), osl::game_playing::CsaStopwatch::read(), result, osl::record::psn::show(), osl::record::psn::strToMove(), timer, osl::WHITE, and osl::Sennichite::WHITE_LOSE().

The documentation for this class was generated from the following files:

- gnuShogiClient.h
- gnuShogiClient.cc